Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface IdAssignmentPolicy

All Superinterfaces:
  IdAssignmentPolicyOperations, IDLEntity, Object, Policy, PolicyOperations, Serializable

    public interface IdAssignmentPolicy

extends IdAssignmentPolicyOperations, Policy, IDLEntity

IdAssignmentPolicy specifies whether Object Ids in the created POA are generated by the application or by the ORB. The default is SYSTEM_ID.

Method Summary

Methods inherited from interface org.omg.PortableServer.IdAssignmentPolicyOperations
`value`

Methods inherited from interface org.omg.CORBA.PolicyOperations
`copy, destroy, policy_type`

Methods inherited from interface org.omg.CORBA.PolicyOperations
`copy, destroy, policy_type`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.